## Checklist before I submit this issue report

I confirm that:
- [ ] I have tested this with the latest version of Snoopy available @ https://github.com/a2o/snoopy#latest-version (not the latest Snoopy version packaged by your favorite distribution, which might be out of date)
- [ ] I have read Snoopy's documentation @ https://github.com/a2o/snoopy/blob/master/README.md & https://github.com/a2o/snoopy/tree/master/doc
- [ ] I have checked FAQ entries @ https://github.com/a2o/snoopy/blob/master/doc/FAQ.md
- [ ] I have searched existing Snoopy issues for duplicates and found none @ https://github.com/a2o/snoopy/issues?q=is%3Aissue



## Issue description - Environment basics

    Guide:
    - Remove this guide
    - x86 is not supported anymore
    - Replace 'FILLIN' with actual values from your environment
    - Bug reports related to non-latest Snoopy releases will be closed as invalid.
    - Using install-snoopy.sh enables Snoopy config file by default
    - Threading support is not automatically enabled as of v2.4.4.

| Key                                 | Value             | Comments                         |
| ----------------------------------- | ----------------- | ---------------------------------|
| Architecture:                       | x86_64            | |
| Linux distribution:                 | FILLIN            | |
| Distribution version:               | FILLIN            | |
| Snoopy version:                     | FILLIN            | |
| Snoopy config file was used:        | FILLIN (yes|no)   | |
| Snoopy threading support enabled:   | FILLIN (yes|no)   | |



## Issue description - How was Snoopy installed

    Guide:
    - Remove this guide
    - Describe installation method, was it:
        - install-snoopy.sh?
        - custom built (provide configure arguments)?
        - distro package (is the version not supported anymore)?

FILLIN



## Issue description - Describe the problem you are having

FILLIN



## Steps to reproduce

FILLIN - DO NOT SKIP THIS SECTION
(Produce a guide for maintainers to reproduce your issue on their workstation.)
(Using containers [LXC, Docker] is the best way to do it.)



## Expected result

FILLIN



## Actual result

FILLIN
