# Getting Support for Snoopy Logger



## Free support - let's work as a team

Due to the fact that you need support,
there is a good chance someone else has already,
or will soon stumble upon the same issue too.
To increase the concentration of valuable debugging information,
and to reduce the number of duplicate bug reports,
it is crucial that all communication is kept public.

GitHub is the meeting point for all Snoopy-related content.
Therefore, you should use [Snoopy issue tracker](https://github.com/a2o/snoopy/issues)
for communicating any issues related to Snoopy,
with a sole exception of requesting commercial support,
which should be done via email.

Free support is provided on a best-effort basis (or not at all :see_no_evil: :wink:).



## Supported Snoopy versions

**Only the latest stable release of Snoopy is "supported".**

Any version that is not the latest (stable or development) is not supported.



## Reporting bugs

If you encounter an issue with Snoopy, proceed with the following steps:

1. Make sure you are using the latest version of Snoopy:
  1. This DOES NOT mean the last version 'apt-get install snoopy' provides,
  2. This means the latest version available at https://github.com/a2o/snoopy/
2. Consult FAQ first: [FAQ.md](FAQ.md),
3. Search the internets (using Google) for existing reports,
4. Search the [Snoopy issue tracker](https://github.com/a2o/snoopy/issues/),
5. If the problem still persist, create a new issue on GitHub and provide:
  1. Snoopy version used and how did you install it?
  2. Linux distribution you are using?
  3. Which software is crashing because of Snoopy (whole system, one program)?
  4. Trace of your program that crashes.



## Feature requests

If you need a specific feature that is currently not implemented, you have the following options:

1. Create a feature request on [Snoopy issue tracker](https://github.com/a2o/snoopy/issues).
   Other might be interested in the same thing as well.
   This can collect user interest in the feature, but it does not guarantee that the requested feature will be implemented.
2. Implement the feature yourself, and create a [pull request](https://github.com/a2o/snoopy/pulls) to have it included in mainline Snoopy.
3. Commercial support.



## Commercial support

Commercial support for Snoopy is available.
Contact the current maintainer via email for details.
